Index: DvbBaseScanning.cs
===================================================================
--- DvbBaseScanning.cs	(revision 27833)
+++ DvbBaseScanning.cs	(working copy)
@@ -334,7 +334,7 @@
                                    out pmtPid, out hasVideo, out hasAudio);
 
               string name = DvbTextConverter.Convert(serviceName, "");
-              Log.Log.Write("{0}) 0x{1:X} 0x{2:X} 0x{3:X} 0x{4:X} {5} type:{9:X}", i, networkId, transportId, serviceId,
+              Log.Log.Write("{0}) 0x{1:X} 0x{2:X} 0x{3:X} 0x{4:X} {5} type:{6:X}", i, networkId, transportId, serviceId,
                             pmtPid, name, serviceType);
 
               found++;
@@ -353,6 +353,23 @@
               info.scrambled = (freeCAMode != 0);
               info.network_pmt_PID = pmtPid;
 
+              if (!IsKnownServiceType(info.serviceType))
+              {
+                Log.Log.Write(
+                  "Found Unknown: {0} {1} type:{2} onid:{3:X} tsid:{4:X} sid:{5:X} pmt:{6:X} hasVideo:{7} hasAudio:{8}",
+                  info.service_provider_name, info.service_name, info.serviceType, info.networkID,
+                  info.transportStreamID, info.serviceID, info.network_pmt_PID, hasVideo, hasAudio);
+
+                if (hasVideo == 1)
+                {
+                  info.serviceType = (int)DvbServiceType.DigitalTelevision;
+                }
+                else if (hasAudio == 1)
+                {
+                  info.serviceType = (int)DvbServiceType.DigitalRadio;
+                }
+              }
+
               if (IsKnownServiceType(info.serviceType))
               {
                 if (info.service_name.Length == 0)
